<?xml version="1.0" encoding="UTF-8"?>
<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.cfs++.org/simulation">
    
    <documentation>
        <title>Fluid Mechanic</title>
        <authors>
            <author>ftoth</author>
        </authors>
        <date>2019-10-03</date>
        <keywords>
            <keyword>flow</keyword>
        </keywords>
        <references></references>
        <isVerified>yes</isVerified>
        <description>
Rotating Pipe: see https://en.wikipedia.org/wiki/Stokes_problem

This is the rotationally symmetric (2D) version of the Stokes boundary layer.
Due to the BCs it is quasi-2d.
        </description>
    </documentation>
    <fileFormats>
        <input>
            <!--<gmsh fileName="cyliders.msh"/>-->
            <hdf5 fileName="RotatingDisk3D.h5ref"/>
        </input>
        <output>
            <hdf5/>
            <text id="txt"/>
        </output>
        <materialData file="mat.xml" format="xml"/><!-- material database -->
    </fileFormats>
    
    <domain geometryType="3d">
        <variableList>
            <var name="w" value="1"/>
            <var name="r" value="1"/>
        </variableList>
        <regionList>
            <region name="V_1" material="FluidMat"/>
        </regionList> 
    </domain>
    
    <fePolynomialList>
        
        <Legendre id="velPolyId">
            <isoOrder>2</isoOrder> 
        </Legendre>
        
        <Legendre id="presPolyId">
            <isoOrder>1</isoOrder> 
        </Legendre>

    </fePolynomialList>

    
    <sequenceStep index="1"> 
        <analysis> 
            <harmonic>
                <frequencyList>
                    <freq value="5"/>
                    <freq value="25"/>
                    <freq value="100"/>
                </frequencyList>
            </harmonic>
        </analysis>
        
        <pdeList>
            <fluidMechLin formulation="compressible" presPolyId="presPolyId" velPolyId="velPolyId">
                <regionList>
                    <region name="V_1"/>
                </regionList>
                
                <bcsAndLoads>
                    <velocity name="S_0">
                        <comp dof="x" value="-y*r"/>
                        <comp dof="y" value="x*r"/>
                    </velocity>
                    <!-- front and back surfaces -->
                    <noSlip name="S_1f">
                        <comp dof="z"/>
                    </noSlip>
                    <noSlip name="S_1b">
                        <comp dof="z"/>
                    </noSlip>
                    <!-- the symmetry planes (onstrain radially outward velocity -->
                    <noSlip name="S_1x">
                        <comp dof="x"/>
                    </noSlip>
                    <noSlip name="S_1y">
                        <comp dof="y"/>
                    </noSlip>
                </bcsAndLoads>
                
                <storeResults >
                    <nodeResult  type="fluidMechPressure">
                        <allRegions/>   
                    </nodeResult>
                    <nodeResult type="fluidMechVelocity">
                        <allRegions/>
                    </nodeResult>
                </storeResults>
            </fluidMechLin>             
        </pdeList>
        <!-- use direct LU since it is available in all builds, switch to e.g. PRADISO for a higher performance -->
        <linearSystems>
            <system>
                <solverList>
                    <directLU/>
                </solverList>
            </system>
        </linearSystems>
    </sequenceStep>
    
</cfsSimulation>
